{
  coreutils,
  gnupg,
  writeShellScript,
}:
writeShellScript "homeless-gpg" ''
  set -eo pipefail

  export GNUPGHOME=$(${coreutils}/bin/mktemp -d)
  trap '${coreutils}/bin/rm -r "$GNUPGHOME"' EXIT
  ${gnupg}/bin/gpg --no-default-keyring "$@"
''
